Issue2103

classification
Title: urllib2.urlopen() does not follow redirections
Type: Severity: normal
Components: Library Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Lai Dung, zyasoft
Priority: Keywords:

Created on 2013-11-01.14:59:40 by Lai Dung, last changed 2014-05-10.05:24:27 by zyasoft.

Messages
msg8171 (view) Author: Lai Dung (Lai Dung) Date: 2013-11-01.14:59:39
As the title says, urllib2.urlopen() does not follow redirections.

For example this URL points to Google UK: http://goo.gl/g6xj -- But the result will be:

>>> import urllib2
>>> print(urllib2.urlopen('http://goo.gl/g6xj').read())
�'�+�0Y�▒ˮ.�v�_��rj
>>>

The Python's version works fine.

My machine:
- OS: Fedora GNOME 64 bit.
- Jython 2.7b1 (default:ac42d59644e9, Feb 9 2013, 15:24:52)
- [OpenJDK 64-Bit Server VM (Oracle Corporation)] on java1.7.0_45
msg8324 (view) Author: Jim Baker (zyasoft) Date: 2014-05-04.20:03:28
Works against https://bitbucket.org/jimbaker/jython-socket-reboot, to be shortly merged in as part of beta 3
msg8360 (view) Author: Jim Baker (zyasoft) Date: 2014-05-10.05:24:27
Socket reboot support is merged in Jython 2.7 trunk, so closing this out
History
Date User Action Args
2014-05-10 05:24:27zyasoftsetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg8360
2014-05-04 20:03:28zyasoftsetresolution: accepted
messages: + msg8324
nosy: + zyasoft
2013-11-01 14:59:40Lai Dungcreate